#!/bin/sh

# Update patch set for GNU Bash 4.0.

GPG="$(if $(type -P gpg2 > /dev/null); then echo gpg2; else echo gpg; fi)"
BASH_PATCH_LIST="bash-patches.nix"

set -e

start=1
end=100 # must be > 99 for correct padding

rm -vf "$BASH_PATCH_LIST"

( echo "# Automatically generated by \`$(basename $0)'; do not edit." ;	\
  echo "" ;								\
  echo "patch: [" )							\
>> "$BASH_PATCH_LIST"

for i in `seq -w $start $end`
do
    wget ftp.gnu.org/gnu/bash/bash-4.0-patches/bash40-$i || break
    wget ftp.gnu.org/gnu/bash/bash-4.0-patches/bash40-$i.sig
    "$GPG" --verify bash40-$i.sig
    echo "(patch \"$i\" \"$(nix-hash --flat --type sha256 --base32 bash40-$i)\")"	\
    >> "$BASH_PATCH_LIST"

    rm -f bash40-$i{,.sig}
done

echo "]" >> "$BASH_PATCH_LIST"

echo "Got $(expr $i - 1) patches."
echo "Patch list has been written to \`$BASH_PATCH_LIST'."
